Dimension d'angle TechDraw

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Angle and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw Dimension Angle.svg Dimension d'Angle

Emplacement du menu
TechDraw → Dimension d'Angle
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
TechDraw Dimension Angle3Pt


Description

L'outil Dimension d'Angle ajoute une dimension angulaire à une vue. La dimension peut être l'angle intérieur entre deux bords rectilignes quelconques. La dimension sera initialement l'angle projeté (c.-à-d. comme indiqué sur le dessin), mais elle peut être remplacée par l'angle 3D réel à l'aide de l'outil TechDraw Dimension Link.svg Lier une dimension

TechDraw Dimension Angle example.png

Mesurer l'angle entre deux droites


Comment faire

  1. Sélectionnez les points ou les arêtes qui définissent votre mesure.
  2. Appuyez sur le boutonTechdraw Dimension Angle.png Dimension d'Angle
  3. Une dimension sera ajoutée à la vue. La dimension peut être déplacée à la position désirée.

Limitations

Les objets de dimension sont vulnérables aux problèmes de "nommage topologique". Consultez les informations de l'outil TechDraw Dimension Length pour plus d'informations.

Propriétés

Cet objet a les mêmes propriétés que l'outil TechDraw Dimension Length. Voir cet outil pour plus de détails.

Script

Voir aussi : TechDraw API et FreeCAD Scripting Basics.

L'outil Angle de cote peut être utilisé dans des macros et à partir de la console Python à l'aide des fonctions suivantes:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)